﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DecimalPointNumberCell
{
    public class Costs
    {
        public delegate void PropertyChangedEventHandler(object sender, System.ComponentModel.PropertyChangedEventArgs e);
        public event PropertyChangedEventHandler PropertyChanged;

        public delegate void ReadEventHandler(object sender);
        public event ReadEventHandler ReadEnd;

        private double _LastCost;

        public double LastCost
        {
            get
            {
                return _LastCost;
            }
            set
            {
                _LastCost = value;
                PropertyChanged?.Invoke(this, new System.ComponentModel.PropertyChangedEventArgs("LastCost"));
            }
        }

        public void ReadRecord()
        {
            _LastCost = 1.230000;
            ReadEnd?.Invoke(this);
        }
    }
}
